
QGIS Application - Bug report #12319

QGIS 2.8.1 crash when loading project

2015-03-05 02:10 AM - Bart Noordervliet

Status: Closed

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 20497

Description

QGIS 2.8.1 crashes when loading one of my project files. It's a pretty complicated project, including PostGIS and WMS layers and making

heavy use of relations. The crash doesn't happen every time, but usually the first time a day I load the file. The problem also existed in

2.6. I'll add the minidump and the project file to this report. Unfortunately I can't provide access to the PostGIS database.

History

#1 - 2015-03-05 02:30 AM - Sandro Santilli

can you provide a backtrace ?

#2 - 2015-03-05 02:36 AM - Bart Noordervliet

Sandro Santilli wrote:

can you provide a backtrace ?

I don't have a debugging toolchain available here, but I believe the memory dump which is my first attachment to this bug should contain all that

information.

#3 - 2015-03-05 04:41 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High

please try to:

) disable 3rd party plugins 

and/or

) use a lower number of cores for qgis multi-threading.

#4 - 2015-03-12 02:48 AM - Bart Noordervliet

Giovanni Manghi wrote:

please try to:
) disable 3rd party plugins 

and/or

) use a lower number of cores for qgis multi-threading.

I've disabled all plugins and switched off multi-threaded rendering in the options. Then I restarted QGIS to make sure it applied those settings. After that tt

still crashes when opening my project file.

The last text before the crash in the lower left of the screen is "Getting map via WMS", so that may be the culprit. But analysing the memory dump would

show that more clearly, I think. Unfortunately I can't do that at this moment.

#5 - 2015-03-12 04:50 AM - Bart Noordervliet

- File Crashtest_2.qgs added

OK, I've created a minimal reproducer project file. See attachment. This requires no local resources, it's just a few WMS layers. You may have to open it a

few times because it doesn't always crash for me, but it does so about 50% of the time.

#6 - 2015-03-12 05:04 AM - Giovanni Manghi

Bart Noordervliet wrote:

OK, I've created a minimal reproducer project file. See attachment. This requires no local resources, it's just a few WMS layers. You may have to

open it a few times because it doesn't always crash for me, but it does so about 50% of the time.

I have opened the project several times, and no crashes. There are 3rd party plugins that are known to be problematic even if disabled. And there are

cases where configurations from previous versions of qgis also proven to be source of issues. Please try backup your .qgis2, then delete it and restart

qgis.

#7 - 2015-03-12 07:53 AM - Bart Noordervliet

Giovanni Manghi wrote:

I have opened the project several times, and no crashes. There are 3rd party plugins that are known to be problematic even if disabled. And there

are cases where configurations from previous versions of qgis also proven to be source of issues. Please try backup your .qgis2, then delete it and

restart qgis.

I've deleted my .qgis2 folder, but it still crashes for me.

#8 - 2015-05-28 03:49 AM - Bart Noordervliet

Unfortunately this problem still exists in QGIS 2.8.2. It happens to me even when I delete my .qgis2 directory.

#9 - 2015-06-14 12:31 AM - Giovanni Manghi

Bart Noordervliet wrote:
Unfortunately this problem still exists in QGIS 2.8.2. It happens to me even when I delete my .qgis2 directory.

if you could test qgis master also on other systems it would be very appreciated as this issue is not replicable here (on multiple versions and systems).

#10 - 2015-06-18 05:17 AM - Bart Noordervliet

- Status changed from Feedback to Closed

OK, I cleared the QGIS settings from the Windows registry and now the problem has gone away. Sorry about the noise.

The keys I deleted were below HKEY_CURRENT_USER\\Software\\QGIS\\

Files

qgis-20150305-104525-4620-1728-exported.zip 3.57 MB 2015-03-05 Bart Noordervliet

E2kc_-_Bart_-_dev.qgs 346 KB 2015-03-05 Bart Noordervliet

Crashtest_2.qgs 12.6 KB 2015-03-12 Bart Noordervliet
